Bug 610073 - Review Request: flyback - time machine for linux
Review Request: flyback - time machine for linux
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2010-07-01 10:00 EDT by Sascha Thomas Spreitzer
Modified: 2010-11-24 10:28 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-24 10:28:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sascha Thomas Spreitzer 2010-07-01 10:00:00 EDT
Spec URL: http://sspreitzer.fedorapeople.org/flyback/flyback.spec
SRPM URL: http://sspreitzer.fedorapeople.org/flyback/flyback-20100629-1.fc13.src.rpm
Description:
! this is my first package, and I am seeking a sponsor !
A time machine for linux, a clone of Apples Time Machine backup and archive utility.
Comment 1 Sascha Thomas Spreitzer 2010-07-01 10:02:11 EDT
Checked the spec and the srpm with rpmlint. No errors or warnings.
Comment 2 Sascha Thomas Spreitzer 2010-08-04 18:53:48 EDT
David Woodhouse is sponsoring me, removing FE-NEEDSPONSOR blockage.
Comment 3 Mohammed Safwat 2010-08-06 19:43:12 EDT
I amn't a sponsor; this's just a casual review.

- The Version field should reflect the corresponding software version as specified on the project website. I can't find a version matching 20100629 at http://code.google.com/p/flyback/downloads/list.

- There's neither a separate license(COPYING) file nor a license header notice in the source files. The specified version, GPLv2, correctly matches the one specified at the project page http://code.google.com/p/flyback/; you should notify the upstream to include a license file and a license notice in the source file headers. This isn't a blocker, however.

- The Source0 URL expands to path pertaining to the packager personal space at fedorapeople; this can't be a valid permanent link to get the original software source from. You should specify a download link as provided by the upstream, usually at the software site.

- You can substitute the project name directly in the Source0 field instead of the macro %{name} just to facilitate tracking the URL for reviewers, but it's a matter of personal prefernce anyway.

- You should uncomment the BuildRequires filed, stating appropriate required python runtime development libraries(python 2 or python 3). See http://fedoraproject.org/wiki/Packaging:Python#BuildRequires for details. You should also add desktop-file-utils in the BuildRequires field as explained at http://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage, since you've a desktop file in your package.

- Under %build section, the instructions section are intended to add a new wrapper shell script to a python script. You should instead create a patch containing this wrapper script and use %patch under %prep section to apply the patch.

- Under %install section, you should use the install command with appropriate command-line switches instead of mkdir and cp commands. Consult the install manual as well as http://fedoraproject.org/wiki/Packaging:Python#Byte_compiling for available install options and examples.

- Under %install section, to install the desktop file use the command desktop-file-install instead of cp. See http://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage for more usage scenarios of this command.

- Under %install and %files sections, you should make use of the predefined path macros instead of specifying explicit paths, for example %{_datarootdir} instead of /usr/share, %{_bindir} instead of /usr/bin, and %{_desktopdir} instead of /usr/share/applications, ...etc. The command `rpm --showrc' can help you identify the paths predefined by macros. Check http://fedoraproject.org/wiki/Docs/Drafts/BuildingPackagesGuide#Case_Study:_leafpad for other useful examples.

- In the desktop file flyback.desktop, it's better to specify the icon with a short name, but the full path is also OK. See http://fedoraproject.org/wiki/Packaging/Guidelines#Icon_tag_in_Desktop_Files for explanation.

- The desktop file contains a deprecated key, FilePattern, as described at http://standards.freedesktop.org/desktop-entry-spec/desktop-entry-spec-latest.html#deprecated-items. It should be removed.
Comment 4 Sascha Thomas Spreitzer 2010-08-07 09:03:28 EDT
(In reply to comment #3)

Wow, thank you very much Mohammed for the detailed review, I will soon start to work through your list. Please stand by. :)
Comment 5 Mohammed Safwat 2010-08-15 03:11:27 EDT
If there's no clear source tarball for the software(as I haven't found one on the website), consider creating the tarball yourself. In this case, just state the tarball file name(with no URL) in the Source0 field, as illustrated at http://fedoraproject.org/wiki/Packaging/SourceURL.
Comment 6 Mario Ceresa 2010-11-24 04:25:21 EST
Hello!
I tried to retrieve the spec file but I cannot access it anymore. Is the review still going on? I'll be interested to help.

Mario
Comment 7 Jason Tibbitts 2010-11-24 10:28:39 EST
I believe the submitter indicated that they were completely leaving the project for whatever reason.  I know they had all content removed from their account.  I'll just close this ticket.

Note You need to log in before you can comment on or make changes to this bug.